import { d as F, V as z, a as fe, h as K, o as g, c as B, D as R, aI as Y, w as s, p as y, A as k, l as p, j as m, i as h, B as ee, c$ as _e, bk as ve, ar as ge, f as ye, e as ke, Z as P, r as N, a4 as M, bU as W, gT as he, cZ as Ce, aw as Ne, W as we, U as xe, M as Be, S as Ie, x as Se, F as De, a9 as Re, y as qe, ca as Ae, X as Le, __tla as __tla_0 } from "./index-9PRMimni.js";
import { _ as Te, __tla as __tla_1 } from "./index.vue_vue_type_script_setup_true_lang-UiHR45ko.js";
import { _ as Pe, __tla as __tla_2 } from "./index.vue_vue_type_script_setup_true_lang-Cav4ephV.js";
import Me, { __tla as __tla_3 } from "./index-BdqgMUNv.js";
import { _ as $e } from "./index.vue_vue_type_script_setup_true_lang-TjS5DSK5.js";
import { i as G, j as V, u as Z } from "./unPlannedJob-BvCurP2n.js";
import { u as je } from "./useTags-C1thGhjF.js";
import { h as Je } from "./defectList-JLVZ8qtV.js";
import { _ as Ve, __tla as __tla_4 } from "./index.vue_vue_type_script_setup_true_lang-CJLhb5rA.js";
import "./basicModal.vue_vue_type_style_index_0_lang-8QZP7ApW.js";
import "./ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js";
import "./BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js";
import "./BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js";
import "./index-DkvzUEqh.js";
import "./Table.vue_vue_type_style_index_0_scoped_7b9e6ece_lang-BoW2DV_e.js";
import "./print-CT_2hrjP.js";
import { __tla as __tla_5 } from "./index.vue_vue_type_style_index_0_scoped_b974e5ec_lang-_0QwzFKM.js";
import { H as Fe, __tla as __tla_6 } from "./index-8tHZJCCW.js";
import "./schemas-BmKi-UM9.js";
import "./props-CLtNejQT.js";
import { _ as Oe } from "./ApprovalModal.vue_vue_type_script_setup_true_lang-D9irIaCq.js";
import { o as X } from "./omit-B2_8Y6O_.js";
import { i as w } from "./isEmpty-BUg1OsQj.js";
import "./BasicForm-dL_oCSPM.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./SingleImageUpload-CNx4b9eC.js";
import "./ImageUpload-DUsnro3W.js";
import "./componentSetting-DVhNDBTO.js";
import "./tabsView-BXskTdVh.js";
import "./BasicSelect-C_uwzMkE.js";
import "./dictionary-BRse4lkf.js";
import "./AutoComplete-Dv1Bqed4.js";
import "./TreeSelect-BZh2DeCh.js";
import { __tla as __tla_7 } from "./schemas-C5Mwn7qw.js";
import "./template-rpthWlT9.js";
import "./index-kKnqLkWM.js";
import "./helper-Czt-QYps.js";
import "./memoize-C3Z21RQJ.js";
import "./find-D_h_aJYR.js";
import "./findIndex-BgUIH3i1.js";
import "./toInteger-DQeH-nF-.js";
import "./useForm-CKmgcynv.js";
import "./usePageCache-DluHn7Yy.js";
import "./TableSelect.vue_vue_type_script_setup_true_lang-BAU5mgvB.js";
import "./Table-0PViRYCf.js";
import "./basicModal.vue_vue_type_script_setup_true_lang-CsJydKhW.js";
import "./useModal-CO65vga3.js";
import "./useTimeout-BxFilWvD.js";
import "./Flex-CTSf12gq.js";
import "./TableAction.vue_vue_type_script_setup_true_lang-Bj_Y4LtN.js";
import { __tla as __tla_8 } from "./index.vue_vue_type_script_setup_true_lang-DgBCbd0g.js";
import { __tla as __tla_9 } from "./index.vue_vue_type_script_setup_true_lang-BaiGZfx5.js";
import "./sparePartsStock-8NzBm-vI.js";
import { __tla as __tla_10 } from "./index.vue_vue_type_script_setup_true_lang-HM65iKHJ.js";
import { __tla as __tla_11 } from "./index.vue_vue_type_script_setup_true_lang-CiThekrH.js";
import "./jobOrder-CGbsc7bp.js";
import "./materialsStock-DZo3mecL.js";
import "./propTypes-CebMRUpe.js";
import "./componentMap-CElCaWis.js";
import "./format-DgF6KtHk.js";
import "./_flatRest-DBrd2CHT.js";
import "./flatten-DeoUZLdb.js";
import "./has-CjqcrIOV.js";
import "./TimelineItem-Bkds7ZW8.js";
let ro;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_1;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_2;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_3;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_4;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_5;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_6;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_7;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_8;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_9;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_10;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_11;
        } catch  {}
    })()
]).then(async ()=>{
    let He, Ue, q, Qe, Ee, We, Ge;
    He = {
        class: "text-right flex justify-end gap-2"
    };
    Ue = F({
        __name: "index",
        props: {
            btnList: {
                type: Array,
                default: ()=>[]
            }
        },
        setup (f) {
            const { t: _ } = z(), x = f, d = fe({
                save: !1,
                submit: !1
            });
            function i(n) {
                const e = x.btnList.find((r)=>r.code === n);
                switch(n){
                    case "save":
                        A(e);
                        break;
                    case "submit":
                        S(e);
                        break;
                    case "history":
                        I(e);
                        break;
                    case "approve":
                        $(e);
                        break;
                    case "reject":
                        C(e);
                        break;
                }
            }
            function I(n) {
                n?.onClick({
                    btn: n
                });
            }
            function $(n) {
                n?.onClick({
                    btn: n
                });
            }
            function C(n) {
                n?.onClick({
                    btn: n
                });
            }
            function A(n) {
                n?.onClick({
                    btn: n,
                    setBtnLoading: (e)=>{
                        d.save = e;
                    }
                });
            }
            function S(n) {
                n?.onClick({
                    btn: n,
                    setBtnLoading: (e)=>{
                        d.submit = e;
                    }
                });
            }
            return (n, e)=>{
                const r = ee, v = Y;
                return g(), K("section", He, [
                    f.btnList.find((l)=>l.code === "approve")?.isShow ? (g(), B(v, {
                        key: 0,
                        trigger: "hover"
                    }, {
                        trigger: s(()=>[
                                m(r, {
                                    strong: "",
                                    secondary: "",
                                    type: "primary",
                                    class: "pl-3 pr-3",
                                    onClick: e[0] || (e[0] = (l)=>i("approve"))
                                }, {
                                    default: s(()=>e[5] || (e[5] = [
                                            h("i", {
                                                class: "iconfont icon-Approve"
                                            }, null, -1)
                                        ])),
                                    _: 1
                                })
                            ]),
                        default: s(()=>[
                                y(k(p(_)("common.optionsApproveText")), 1)
                            ]),
                        _: 1
                    })) : R("", !0),
                    f.btnList.find((l)=>l.code === "reject")?.isShow ? (g(), B(v, {
                        key: 1,
                        trigger: "hover"
                    }, {
                        trigger: s(()=>[
                                m(r, {
                                    strong: "",
                                    secondary: "",
                                    type: "primary",
                                    class: "pl-3 pr-3",
                                    onClick: e[1] || (e[1] = (l)=>i("reject"))
                                }, {
                                    default: s(()=>e[6] || (e[6] = [
                                            h("i", {
                                                class: "iconfont icon-Returned"
                                            }, null, -1)
                                        ])),
                                    _: 1
                                })
                            ]),
                        default: s(()=>[
                                y(k(p(_)("common.optionsReturnText")), 1)
                            ]),
                        _: 1
                    })) : R("", !0),
                    f.btnList.find((l)=>l.code === "save")?.isShow ? (g(), B(v, {
                        key: 2,
                        trigger: "hover"
                    }, {
                        trigger: s(()=>[
                                m(r, {
                                    strong: "",
                                    secondary: "",
                                    type: "primary",
                                    class: "pl-3 pr-3",
                                    onClick: e[2] || (e[2] = (l)=>i("save")),
                                    loading: p(d).save
                                }, {
                                    default: s(()=>e[7] || (e[7] = [
                                            h("i", {
                                                class: "iconfont icon-Save"
                                            }, null, -1)
                                        ])),
                                    _: 1
                                }, 8, [
                                    "loading"
                                ])
                            ]),
                        default: s(()=>[
                                y(k(p(_)("common.saveText")), 1)
                            ]),
                        _: 1
                    })) : R("", !0),
                    f.btnList.find((l)=>l.code === "submit")?.isShow ? (g(), B(v, {
                        key: 3,
                        trigger: "hover"
                    }, {
                        trigger: s(()=>[
                                m(r, {
                                    strong: "",
                                    secondary: "",
                                    type: "primary",
                                    class: "pl-3 pr-3",
                                    onClick: e[3] || (e[3] = (l)=>i("submit")),
                                    loading: p(d).submit
                                }, {
                                    default: s(()=>e[8] || (e[8] = [
                                            h("i", {
                                                class: "iconfont icon-Submit"
                                            }, null, -1)
                                        ])),
                                    _: 1
                                }, 8, [
                                    "loading"
                                ])
                            ]),
                        default: s(()=>[
                                y(k(p(_)("common.submit")), 1)
                            ]),
                        _: 1
                    })) : R("", !0),
                    f.btnList.find((l)=>l.code === "history")?.isShow ? (g(), B(v, {
                        key: 4,
                        trigger: "hover"
                    }, {
                        trigger: s(()=>[
                                m(r, {
                                    strong: "",
                                    secondary: "",
                                    type: "primary",
                                    class: "pl-3 pr-3",
                                    onClick: e[4] || (e[4] = (l)=>i("history"))
                                }, {
                                    default: s(()=>e[9] || (e[9] = [
                                            h("i", {
                                                class: "iconfont icon-Log"
                                            }, null, -1)
                                        ])),
                                    _: 1
                                })
                            ]),
                        default: s(()=>[
                                y(k(p(_)("common.reviewHistory")), 1)
                            ]),
                        _: 1
                    })) : R("", !0)
                ]);
            };
        }
    });
    q = (f, { button: _, status: x })=>{
        let d = _ && _[f];
        if (x === "add") switch(f){
            case "approvalRecordButton":
                d = !1;
                break;
            case "rejectButton":
                d = !1;
                break;
            case "approvalButton":
                d = !1;
                break;
            case "submitButton":
                d = !0;
                break;
            case "saveButton":
                d = !0;
                break;
        }
        else switch(f){
            case "approvalRecordButton":
                break;
            case "rejectButton":
                break;
            case "approvalButton":
                break;
            case "submitButton":
                d = x === "edit" && d;
                break;
            case "saveButton":
                d = x === "edit" && d;
                break;
        }
        return d;
    };
    Qe = {
        class: "flex items-center"
    };
    Ee = {
        class: "flex items-center"
    };
    We = {
        class: "ml-10 flex items-end h-full"
    };
    Ge = F({
        name: "unPlannedJob"
    });
    ro = F({
        ...Ge,
        setup (f) {
            const _ = _e(), x = ve(), d = ge(), { t: i } = z(), I = Ce(), { closeCurrentTabToBack: $ } = je(), C = ye(), A = ke(), S = [
                {
                    name: "basicDetail",
                    tabName: i("unPlannedJob.basicDetail"),
                    component: P(Te)
                },
                {
                    name: "Resources",
                    tabName: i("unPlannedJob.resources"),
                    component: P(Pe)
                },
                {
                    name: "Consumption",
                    tabName: i("unPlannedJob.consumption"),
                    component: P(Me)
                },
                {
                    name: "Attachment",
                    tabName: i("unPlannedJob.attachment"),
                    component: P($e)
                }
            ], n = N(), e = N(), r = N(), v = N(""), l = N(""), D = N(), L = N(), O = N(), te = M(()=>l.value === "view" || (e.value ? !e.value.button?.saveButton : !1)), oe = M(()=>x.getLocale === "en"), j = M(()=>C.query?.shipId || e.value?.basic?.shipId), ae = M(()=>[
                    {
                        code: "history",
                        isShow: q("approvalRecordButton", {
                            button: e.value?.button,
                            status: l.value
                        }),
                        onClick: ()=>{
                            O.value.handleOpenModal({
                                busId: r.value,
                                moduleCode: "unplannedJob",
                                subModuleCode: e.value?.basic?.subCode || v.value
                            });
                        }
                    },
                    {
                        code: "reject",
                        isShow: q("rejectButton", {
                            button: e.value?.button,
                            status: l.value
                        }),
                        onClick: ()=>{
                            L.value?.showModal({
                                busId: r.value,
                                moduleCode: "unplannedJob",
                                shipId: j.value,
                                subModuleCode: e.value?.basic?.subCode || v.value
                            });
                        }
                    },
                    {
                        code: "approve",
                        isShow: q("approvalButton", {
                            button: e.value?.button,
                            status: l.value
                        }),
                        onClick: ()=>{
                            d.warning({
                                title: i("common.examineAndApprove"),
                                content: i("common.approvePassContent"),
                                positiveText: i("common.dialogPositiveText"),
                                negativeText: i("common.dialogNegativeText"),
                                onPositiveClick: async ()=>{
                                    const a = {
                                        busId: r.value,
                                        moduleCode: "unplannedJob",
                                        shipId: _.shipList[0].id,
                                        subModuleCode: e.value?.basic?.subCode
                                    };
                                    L.value?.showModal(a);
                                },
                                onNegativeClick: ()=>{}
                            });
                        }
                    },
                    {
                        code: "submit",
                        isShow: q("submitButton", {
                            button: e.value?.button,
                            status: l.value
                        }),
                        loading: !1,
                        onClick: (a)=>{
                            const { setBtnLoading: u } = a;
                            u(!0), le().then(async ()=>{
                                const b = !r.value;
                                d.warning({
                                    title: i("common.confirmText"),
                                    content: i("common.submitContent"),
                                    positiveText: i("common.submit"),
                                    negativeText: i("common.dialogNegativeText"),
                                    onPositiveClick: async ()=>{
                                        let c = {
                                            shipId: _.shipList[0].id,
                                            ...e.value?.basic,
                                            ...n.value[0].getFieldsValue(),
                                            id: r.value
                                        };
                                        const o = {
                                            basic: X(c, "vessel"),
                                            resources: W(n.value[1].formData),
                                            consumption: Q(n.value[2]?.getFieldsValue(), b),
                                            attachment: H()
                                        };
                                        if (b) {
                                            o.basic.repairId = C.query.repairId || void 0;
                                            const T = await G(o);
                                            r.value = T?.id, v.value = T?.subCode, e.value = await V(r.value);
                                        } else await Z(o);
                                        await he({
                                            busId: r.value,
                                            moduleCode: "unplannedJob",
                                            shipId: j.value,
                                            subModuleCode: e.value?.basic?.subCode || v.value
                                        }), I.success(i("common.submitSuccessText")), await A.push({
                                            name: "unplannedJobList"
                                        });
                                    },
                                    onNegativeClick: ()=>{}
                                });
                            }).finally(()=>{
                                u(!1);
                            });
                        }
                    },
                    {
                        code: "save",
                        isShow: q("saveButton", {
                            button: e.value?.button,
                            status: l.value
                        }),
                        onClick: async ()=>{
                            let a = {
                                shipId: j.value,
                                ...e.value?.basic,
                                id: r.value,
                                ...n.value[0].getFieldsValue()
                            };
                            const u = X(a, "vessel"), b = !r.value, c = {
                                basic: u,
                                resources: W(n.value[1].formData),
                                consumption: Q(n.value[2]?.getFieldsValue(), b),
                                attachment: H()
                            };
                            if (b) {
                                c.basic.repairId = C.query.repairId || void 0;
                                const t = await G(c);
                                r.value = t?.id, v.value = t?.subCode, e.value = await V(r.value);
                            } else await Z(c);
                            I.success(i("common.saveSuccessText"));
                        }
                    }
                ]);
            function H() {
                const { attachment: a } = n.value[3].getFieldsValue();
                return a ? a.map((u)=>({
                        id: u.batchId ? void 0 : u.id,
                        fileCode: u.fileCode,
                        fileName: u.fileName
                    })) : [];
            }
            async function ne() {
                const a = await V(r.value);
                e.value = a, D.value = a.basic.repairId;
            }
            async function se() {
                const a = await Je(D.value), u = {
                    ...a,
                    department: a.sectionName ? a.sectionName.toString() : void 0,
                    jobCategory: "2",
                    maintenanceCause: "15",
                    discipline: a.roleId,
                    jobReportedBy: a.roleId,
                    incidentNumber: a.defectNo,
                    equipmentCode: a.equipmentCode,
                    equipmentName: a.equipmentName,
                    model: a?.equipmentModel,
                    jobReportedDate: a.completeDate,
                    riskAssessmentRequired: a.riskAssessRequired === 1 ? "yes" : "no",
                    workPermitRequired: a.workPermitRequired === 1 ? "yes" : "no"
                };
                n.value[0].setFieldsValue(u);
            }
            async function ie(a, u) {
                return u === "basicDetail" && await n.value[0].validate(), !0;
            }
            async function U() {
                r.value = C.query.id, l.value = C.query.status, D.value = C.query.repairId, r.value && await ne(), D.value && await se();
            }
            async function re() {
                A.back();
            }
            function le() {
                return new Promise((a, u)=>{
                    const b = n.value.filter((c)=>c.validate).map((c)=>c.validate());
                    Promise.all(b).then(()=>{
                        a(!0);
                    }).catch((c)=>{
                        const t = oe.value ? `The data in the 【${S[Number(c) - 1].tabName}】 TAB is incorrect` : `TAB页【${S[Number(c) - 1].tabName}】数据有误`;
                        I.error(t), u(!1);
                    });
                });
            }
            function Q(a, u = !0) {
                const { materialsActualConsumption: b = [], spareActualConsumption: c = [] } = a;
                return u ? {
                    materialAllDtoList: w(b) ? [] : b.map((t)=>({
                            material: {
                                materialId: t.materialItemId,
                                rob: t.ROB || t?.quantity,
                                remarks: t.remarks
                            },
                            detail: w(t.tableData) ? [] : t.tableData.map((o)=>({
                                    roomNo: o?.roomNo,
                                    shelfNo: o?.shelfNo,
                                    boxNo: o?.boxNo,
                                    stock: o?.quantity,
                                    quantity: o?.useQuantity
                                }))
                        })),
                    partsAllDtoList: w(c) ? [] : c.map((t)=>({
                            parts: {
                                id: t?.id,
                                equipmentType: "",
                                itemId: t?.itemId || t?.raw?.itemId,
                                rob: t.ROB || t?.quantity,
                                remarks: t.remarks
                            },
                            details: w(t.tableData) ? [] : t.tableData.map((o)=>({
                                    roomNo: o?.roomNo,
                                    shelfNo: o?.shelfNo,
                                    boxNo: o?.boxNo,
                                    normalStock: o?.normalStock,
                                    abnormalStock: o?.reconditionedStock,
                                    outNormalStock: o?.normalQuantity,
                                    outAbnormalStock: o?.reconditionedQuantity
                                }))
                        }))
                } : {
                    materialAllDtoList: w(b) ? [] : b.map((t)=>({
                            material: {
                                materialId: t.materialItemId,
                                id: t.id,
                                remarks: t.remarks,
                                rob: t?.ROB || t?.quantity
                            },
                            detail: w(t.tableData) ? [] : t.tableData.map((o)=>({
                                    id: o.id,
                                    roomNo: o?.roomNo,
                                    shelfNo: o?.shelfNo,
                                    boxNo: o?.boxNo,
                                    stock: o?.quantity,
                                    quantity: o?.useQuantity
                                }))
                        })),
                    partsAllDtoList: w(c) ? [] : c.map((t)=>({
                            parts: {
                                id: t?.id,
                                equipmentType: "",
                                itemId: t?.itemId || t?.raw?.itemId,
                                rob: t.ROB || t.quantity,
                                remarks: t.remarks
                            },
                            details: w(t.tableData) ? [] : t.tableData.map((o)=>({
                                    id: o?.id,
                                    roomNo: o?.roomNo,
                                    shelfNo: o?.shelfNo,
                                    boxNo: o?.boxNo,
                                    normalStock: o?.normalStock,
                                    abnormalStock: o?.reconditionedStock,
                                    outNormalStock: o?.normalQuantity,
                                    outAbnormalStock: o?.reconditionedQuantity
                                }))
                        }))
                };
            }
            function ue() {
                try {
                    $();
                } catch (a) {
                    console.warn("Error closing tab:", a);
                }
            }
            return Ne(()=>{
                U();
            }), (a, u)=>{
                const b = ee, c = Y, t = Ie, o = Ue, T = Be, me = xe, E = we, ce = qe, de = Se, pe = Le;
                return g(), B(pe, null, {
                    default: s(()=>[
                            m(E, {
                                bordered: !1,
                                class: "proCard h-[60px]"
                            }, {
                                default: s(()=>[
                                        m(me, {
                                            "x-gap": "0",
                                            cols: 2,
                                            "item-responsive": ""
                                        }, {
                                            default: s(()=>[
                                                    m(T, {
                                                        span: "2",
                                                        class: "flex justify-between items-center"
                                                    }, {
                                                        default: s(()=>[
                                                                h("div", Qe, [
                                                                    h("div", Ee, [
                                                                        m(c, {
                                                                            trigger: "hover"
                                                                        }, {
                                                                            trigger: s(()=>[
                                                                                    m(b, {
                                                                                        quaternary: "",
                                                                                        class: "mr-2",
                                                                                        onClick: re
                                                                                    }, {
                                                                                        default: s(()=>u[0] || (u[0] = [
                                                                                                h("i", {
                                                                                                    class: "iconfont icon-a-shangyibu2 text-[16px]"
                                                                                                }, null, -1)
                                                                                            ])),
                                                                                        _: 1
                                                                                    })
                                                                                ]),
                                                                            default: s(()=>[
                                                                                    y(k(p(i)("common.back")), 1)
                                                                                ]),
                                                                            _: 1
                                                                        }),
                                                                        m(t, {
                                                                            class: "text-[18px] font-bold"
                                                                        }, {
                                                                            default: s(()=>[
                                                                                    y(k(p(i)("unPlannedJob.title")), 1)
                                                                                ]),
                                                                            _: 1
                                                                        })
                                                                    ]),
                                                                    h("div", We, [
                                                                        m(t, null, {
                                                                            default: s(()=>[
                                                                                    y(k(p(i)("unPlannedJob.jobCode")) + ":", 1)
                                                                                ]),
                                                                            _: 1
                                                                        }),
                                                                        m(t, null, {
                                                                            default: s(()=>[
                                                                                    y(k(p(e)?.basic?.jobCode || "-"), 1)
                                                                                ]),
                                                                            _: 1
                                                                        })
                                                                    ])
                                                                ]),
                                                                m(o, {
                                                                    "btn-list": p(ae)
                                                                }, null, 8, [
                                                                    "btn-list"
                                                                ])
                                                            ]),
                                                        _: 1
                                                    })
                                                ]),
                                            _: 1
                                        })
                                    ]),
                                _: 1
                            }),
                            m(E, {
                                bordered: !1,
                                class: "mt-2 proCard"
                            }, {
                                default: s(()=>[
                                        m(de, {
                                            "default-value": "basicDetail",
                                            type: "line",
                                            animated: "",
                                            onBeforeLeave: ie
                                        }, {
                                            default: s(()=>[
                                                    (g(), K(De, null, Re(S, (J, be)=>m(ce, {
                                                            key: be,
                                                            name: J.name,
                                                            tab: J.tabName,
                                                            "display-directive": "show"
                                                        }, {
                                                            default: s(()=>[
                                                                    (g(), B(Ae(J.component), {
                                                                        ref_for: !0,
                                                                        ref_key: "tabComponentRef",
                                                                        ref: n,
                                                                        "source-data": p(e),
                                                                        "is-view": p(te),
                                                                        isDefect: !!p(D),
                                                                        "tab-context": p(n),
                                                                        onUpdateForms: U
                                                                    }, null, 40, [
                                                                        "source-data",
                                                                        "is-view",
                                                                        "isDefect",
                                                                        "tab-context"
                                                                    ]))
                                                                ]),
                                                            _: 2
                                                        }, 1032, [
                                                            "name",
                                                            "tab"
                                                        ])), 64))
                                                ]),
                                            _: 1
                                        })
                                    ]),
                                _: 1
                            }),
                            m(p(Ve), {
                                ref_key: "approvalModalRef",
                                ref: L
                            }, null, 512),
                            m(p(Fe), {
                                ref_key: "approvalHistoryModalRef",
                                ref: O
                            }, null, 512),
                            m(Oe, {
                                ref_key: "approvalModalRef",
                                ref: L,
                                onSuccess: ue
                            }, null, 512)
                        ]),
                    _: 1
                });
            };
        }
    });
});
export { ro as default, __tla };
